// Solutions to the Advent Of Code 2024.
// Copyright (C) 2024  Stefan Mller
//
// This program is free software: you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation, either version 3 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along with
// this program.  If not, see <http://www.gnu.org/licenses/>.

#include "Demo.h"

std::string Demo::getPuzzleName() const
{
    return "Demo";
}

std::string Demo::getInputFileName() const
{
    return "demo.txt";
}

void Demo::processDataLine(const std::string& line)
{
    part1 += std::stoi(line);
    if (part2 == 0)
    {
        part2 = std::stoi(line);
    }
    else
    {
        part2 *= std::stoi(line);
    }
}

void Demo::finish()
{
}
